%define	qtlibdir /opt/qt-4.8/%{_lib}

Name:           wkhtmltopdf
Summary:        Qt Widgets for Technical Applications
Version:        0.12.1.1
Release:        5.2
License:        LGPL
Group:          Development/Libraries/C and C++
Url:            http://qwt.sourceforge.net/
Source0:        http://wkhtmltopdf.googlecode.com/files/wkhtmltopdf-%{version}.tar.bz2
Patch0:		wkhtmltopdf-buildmanpage.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  gcc-c++ libpng-devel opt-libqt4-devel opt-libQtWebKit-devel
Requires:	opt-libqt4 >= 4.8
Requires:	opt-libQtWebKit4 >= 2.2.3
Requires:	xorg-x11-server-extra

%description
Simple shell utility to convert html to pdf using the webkit rendering engine, and qt.

Authors:
--------
  antialize@gmail.com


%prep
%setup -q -n %{name}-%{version}
%patch0

%build
export PATH=/opt/qt-4.8/bin:$PATH

# Now build the qwt5 library
qmake \
	INSTALLBASE=%{_prefix} \
	QMAKE_CXXFLAGS="%optflags" \
	target.path=%{_libdir} \
	headers.path=%{_includedir}/%{name} \
	doc.path=%{_docdir}/%{name}-devel-doc


	#CONFIG+=QwtDll CONFIG+=QwtDesigner CONFIG+=QwtExamples -after \
%__make %{?jobs:-j%jobs}


%install
mkdir -p %{buildroot}%{_mandir}/man1
%makeinstall INSTALL_ROOT=%{buildroot}
%ifarch x86_64
mkdir -p %{buildroot}%{_libdir}
mv %{buildroot}%{_prefix}/lib/* %{buildroot}%{_libdir}/
%endif
mv %{buildroot}%{_bindir}/wkhtmltopdf %{buildroot}%{_bindir}/wkhtmltopdf.bin
mv %{buildroot}%{_bindir}/wkhtmltoimage %{buildroot}%{_bindir}/wkhtmltoimage.bin
cat > %{buildroot}%{_bindir}/wkhtmltopdf << EOF
#!/bin/bash
DISPLAY=:1 LD_LIBRARY_PATH=%{qtlibdir} %{_bindir}/wkhtmltopdf.bin \$@
EOF

cat > %{buildroot}%{_bindir}/wkhtmltoimage << EOF
#!/bin/bash
DISPLAY=:1 LD_LIBRARY_PATH=%{qtlibdir} %{_bindir}/wkhtmltoimage.bin \$@
EOF

chmod +x %{buildroot}%{_bindir}/wkhtmltoimage %{buildroot}%{_bindir}/wkhtmltopdf

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING
%doc CHANGELOG.md
%doc README.md
%{_bindir}/wkhtmltopdf*
%{_bindir}/wkhtmltoimage*
%dir %{_includedir}/wkhtmltox
%{_includedir}/wkhtmltox/dllbegin.inc
%{_includedir}/wkhtmltox/dllend.inc
%{_includedir}/wkhtmltox/image.h
%{_includedir}/wkhtmltox/pdf.h
%{_libdir}/libwkhtmltox.so
%{_libdir}/libwkhtmltox.so.0
%{_libdir}/libwkhtmltox.so.0.12
%{_libdir}/libwkhtmltox.so.0.12.1
%{_mandir}/man1/wkhtmltoimage.1.gz
%{_mandir}/man1/wkhtmltopdf.1.gz

%changelog
* Thu Sep 11 2014 cs@linux-administrator.com
- import
